diff --git a/isisd/isis_srv6.c b/isisd/isis_srv6.c
index 2b38c13736d7..8485829be068 100644
--- a/isisd/isis_srv6.c
+++ b/isisd/isis_srv6.c
@@ -29,6 +29,11 @@ void isis_srv6_area_init(struct isis_area *area)
 
 	/* Pull defaults from the YANG module */
 	srv6db->config.enabled = yang_get_default_bool("%s/enabled", ISIS_SRV6);
+
+	srv6db->config.max_seg_left_msd = SRV6_MAX_SEG_LEFT;
+	srv6db->config.max_end_pop_msd = SRV6_MAX_END_POP;
+	srv6db->config.max_h_encaps_msd = SRV6_MAX_H_ENCAPS;
+	srv6db->config.max_end_d_msd = SRV6_MAX_END_D;
 }
 
 /**
diff --git a/isisd/isis_srv6.h b/isisd/isis_srv6.h
index 0a493c8c7eb7..b32012dcabef 100644
--- a/isisd/isis_srv6.h
+++ b/isisd/isis_srv6.h
@@ -10,6 +10,12 @@
 #ifndef _FRR_ISIS_SRV6_H
 #define _FRR_ISIS_SRV6_H
 
+/* Maximum SRv6 SID Depths supported by the router */
+#define SRV6_MAX_SEG_LEFT 16
+#define SRV6_MAX_END_POP 0
+#define SRV6_MAX_H_ENCAPS 1
+#define SRV6_MAX_END_D 2
+
 /* Per-area IS-IS SRv6 Data Base (SRv6 DB) */
 struct isis_srv6_db {
 
@@ -17,6 +23,18 @@ struct isis_srv6_db {
 	struct {
 		/* Administrative status of SRv6 */
 		bool enabled;
+
+		/* Maximum Segments Left Depth supported by the router */
+		uint8_t max_seg_left_msd;
+
+		/* Maximum Maximum End Pop Depth supported by the router */
+		uint8_t max_end_pop_msd;
+
+		/* Maximum H.Encaps supported by the router */
+		uint8_t max_h_encaps_msd;
+
+		/* Maximum End D MSD supported by the router */
+		uint8_t max_end_d_msd;
 	} config;
 };
 
